.popup-container {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.681);
  z-index: 9999;
  font-family: iranSansX !important;
  max-width: 100vw !important;
  overflow-y: auto;
}

.popup-content {
  position: absolute;
  overflow: hidden;
  overflow-y: scroll;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #37302b;
  background: url("../ghahve-popup-bg.png")
    no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
  animation: popup-fade 0.9s ease-in-out;
}

.popup_header {
  padding: 16px;
}
#closeBtn {
  width: 50px;
  padding: 10px;
  background-color: #27201e66;
  border-radius: 100%;
}
.popup_header img {
  width: 100%;
  height: 100%;
  position: relative;
  top: 4px;
}
.popup_titles {
  width: 100%;
  text-align: center;
  margin-bottom: 10px;
  position: relative;
  top: -3vh;
}
.popup_titles h2 {
  color: #fff;
  font-weight: 600;
  font: 1.4rem;
}
.popup_titles h3 {
  color: #fff;
  font-weight: 400;
  font: 1rem;
}

.popup_price {
  background-color: #1a100a;
  border-radius: 0 8px 8px 0;
  padding: 24px 16px;
  position: absolute;
  left: 0;
  top: 22vh;
  color: #fff;
}
.popup_price span::after {
  content: "تومان";
  margin-right: 5px;
  font-size: 0.925rem;
  font-weight: 400;
}
.popup_price span {
  font-size: 1.425rem;
  font-weight: 400;
  font-family: dana !important;
}

.popup_sizes {
  position: absolute;
  top: 28vh;
  width: 110px;
  border-radius: 8px 0 0 8px;

  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  overflow: hidden;
}
.popup_sizes div {
  width: 100%;
  height: 79px;
  font-size: 1rem;
  font-weight: 400;

  display: flex;
  align-items: center;
  justify-content: center;
}
.popup_sizes div:nth-child(1) {
  background-color: #eac7b3;
}
.popup_sizes div:nth-child(2) {
  background-color: #86634f;
}
.popup_sizes div:nth-child(3) {
  background-color: #583d2f;
}
.popup_sizes div:nth-child(4) {
  background-color: #1a100a;
  color: #eac7b3;
}

.popup_images {
  position: absolute;
  left: 6px;
  top: 37vh;
  width: 180px;
  height: 290px;
}
.popup-images-swiper .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.popup-images-swiper .swiper-slide {
  height: 80%;
}
.popup-images-swiper {
  height: 100%;
}

.popup-images-swiper .swiper-pagination-bullet {
  width: 6px;
  height: 6px;
  border-radius: 4px;
  background-color: #cecece;
  transition: 0.5s;
  position: relative;
  top: -40px;
}

.popup-images-swiper .swiper-pagination-bullet-active {
  background-color: #9d6849;
  width: 26px;
}

.popup_details {
  margin-top: 47vh;

  padding: 16px;
  color: #fff;
  font-size: 0.925rem;
  font-weight: 400;

  overflow: hidden;
}

.popup_video {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  background-color: #ffffff66;
  color: #302924;
  padding: 8px 16px;
  border-radius: 12px;
  width: fit-content;
  margin-right: 16px;
  margin-bottom: 20px;
}

.videoHolder {
  z-index: 20;
}
.videoHolder video {
  width: 100%;
  height: 200px;
  margin-top: 20px;
}

@keyframes popup-fade {
  0% {
    opacity: 0;
    transform: translate(-50%, 100%);
  }
  100% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
  }
}
